CWDREG( )

NAME
cwdreg - To register characters/words into the binary format
         dictionary.

SYNOPSIS
cwdreg [-D server ] -n envname

         -d dicno < textdic

OR

cwdreg [-D server ] -n envname

         -L filename < textdic

DEFAULT PATH
/usr/local/bin/cWnn4/cwdreg

DESCRIPTION
This function allows user to register characters/words into the specified binary dictionary, with either dictionary number dicno or dictionary filename filename specified. server is the machine name of the server. If this is not specified, the default cserver indicated by the environment variable CSERVER will be taken. "-n envname " must be specified. envname is the environment name. You may execute "cwnnstat -E" to see the current environment name. Either "-d dicno " or "-L filename " must be specified.

dicno is the dictionary number. filename is the filename of the dictionary. "-L" is used for when the dictionary is from the local machine. "<" means to pipe the textdic as an input to "cwdreg" command. textdic is the text file which user enters the characters/words to be registered. The format of this text file must be the same as that in the system text format dictionary. That is,

 --------------------------------------------------

| Pinyin Word Cixing Frequency |

| : : : : |

 --------------------------------------------------

Refer to cWnn manual for details on dictionary.

By using "cwdreg", all the characters/words in textdic will be registered into the specified binary dictionary permanently.

NOTE

1.  The parts in [ ] are options. They may be omitted.